@import url(variables.css);
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap");

html {
  scroll-behavior: smooth;
}

.disabled:hover {
  cursor: not-allowed;
}

body {
  font-family: "Roboto", Arial, Helvetica, sans-serif;
  font-size: var(--mainFontSize);
}

/* containers for padding and to center content */

.container,
.container-nav-content {
  margin: 0 auto;
  width: 960px;
}

.container {
  padding: 20px 2vw;
}

.container-nav-content {
  padding: 0 2vw;
}

/* sections with padding needed to be 0 */

footer > .container {
  padding: 0 2vh;
}

/* Full width/height elements */
header {
  height: 100vh;
}

/* Header */

.header-background {
  background-image: url("IMG/sectionBackground.png");
  color: white;
  height: calc(100vh - 50px);
  background-size: cover;
  opacity: 0.9;
}

.shadow {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.15);
}

.offer-title,
.offer-title,
.button-offer {
  margin: 5% 0;
}

.offer-title {
  font-size: var(--titleFontSize);
  max-width: 500px;
}

.button-offer {
  background: transparent;
  transition: 1s;
  font-size: var(--mainFontSize);
  width: 17%;
  height: 10%;
  color: white;
  border: 3px solid #fff;
}

/* navigation */

.nav-container {
  background-color: var(--extremeSectionBC);
  height: 50px;
}

.nav-container > .container-nav-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 50px;
}

li {
  display: inline;
}

li a {
  text-align: center;
  margin: auto 10px;
  text-decoration: none;
  color: white;
  font-size: var(--mainFontSize);
}

.company-name {
  font-size: var(--mainFontSize);
  color: white;
  font-weight: bold;
}

/* Main section - Specialists*/

.specialist-photo {
  height: 200px;
  width: 200px;
  background-size: cover;
  background-position: center;
  border-radius: 50%;
}

.specialist-title {
  margin: 5% 0;
  font-size: var(--titleFontSize);
  font-weight: bold;
}

.specialist {
  display: flex;
  padding: 30px 0 60px;
}

.specialist:nth-of-type(even) {
  flex-direction: row-reverse;
  text-align: right;
}

.specialist-description {
  margin: auto 5%;
}

.specialist-description > h2 {
  font-weight: bold;
  margin-bottom: 10px;
  font-size: var(--mainFontSize);
}
.specialist-description > p {
  font-size: 18px;
}

/* offers section */

.section-offers {
  background-color: #405d78;
  font-size: var(--mainFontSize);
  padding-bottom: 5%;
}

.offers-section-title {
  padding: 50px 0;
  color: white;
  font-size: var(--titleFontSize);
}

.offers {
  display: flex;
  flex-wrap: wrap;
  margin: 0 12.5%;
  width: 75%;
}

.offer {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: #f1f1f1;
  width: 200px;
  height: 200px;
  margin: 20px;
  transition: 0.5s ease-in-out;
}

.offer > h2 {
  font-size: var(--offerFontSize);
}

.offer > p {
  font-size: var(--mainFontSize);
}

.offer:first-of-type {
  position: relative;
}

.dot {
  position: absolute;
  height: 22px;
  width: 22px;
  background-color: #e07a64;
  left: -11px;
  top: -11px;
  border-radius: 50%;
}

/* footer */

footer {
  height: 71px;
  background-color: var(--extremeSectionBC);
  font-size: var(--mainFontSize);
  color: white;
}

footer > .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

i {
  color: white;
}

i:first-of-type {
  margin-right: 10px;
}

.footer-title {
  font-size: var(--mainFontSize);
  font-weight: bold;
}

/* pseudo classes */

.button-offer:hover {
  background: white;
  color: black;
}
.offer:hover {
  transform: scale(1.05);
}
